#!/usr/bin/env python3

import os
import sys

from PySide6.QtCore import QThread
from PySide6.QtWidgets import QApplication

from load_controller.gui import GUI
from load_controller.load import Load
from load_controller.profile_handler import ProfileHandler


def main(argv: list[str]) -> int:
    app = QApplication(sys.argv)
    profile_handler = ProfileHandler()
    gui = GUI(profile_handler)

    load = Load(argv[1], profile_handler)

    return app.exec()


if __name__ == "__main__":
    if len(sys.argv) != 3:
        print(f"Usage: {sys.argv[0]} LOAD-PORT BMS-PORT", file=sys.stderr)
        sys.exit(os.EX_USAGE)

    sys.exit(main(sys.argv))
